Subject: Re: Classic PPC specific ASM (CONFIG_6XX)

From: Jerome Glisse <[email-masked]>
Date: Mon, 10 Jan 2005 20:31:29 +0100

On Mon, 10 Jan 2005 12:12:48 -0700, Tom Rini <[email-masked]> wrote:
> On Mon, Jan 10, 2005 at 07:59:50PM +0100, Jerome Glisse wrote:
> > > I have a feeling CONFIG_6xx isn't selected for a good reason.  Can you
> > > try, as a kludge, removing define_bool PPC_PREP from arch/ppc/Kconfig
> > > and seeing if you can build / boot ?  Thanks.
> > >
> > > --
> > > Tom Rini
> > > http://gate.crashing.org/~trini/
> > >
> >
> > Seems that this flags is linked to many things :) I tried removing PPC_PREP
> > bool but the kernel fail to compile with again new errors :
> >
> 
> One last thing before we just do what you suggested originally, can you
> hack it so that PPC_PREP is still set, but on 970 we still set
> CONFIG_6xx?  Thanks again.
> 
> --
> Tom Rini
> http://gate.crashing.org/~trini/
> 

This issue must be strongly linked with the Murphy Law.
Got another compile error when y a add CONFIG_6xx=y
to my kernel config.

  LD      .tmp_vmlinux1
ld: arch/ppc/kernel/idle_6xx.o: No such file: Aucun fichier ou
répertoire de ce type

Unfortunetly i've got to move (some trip for my study) and i won't be
able to have access any g5 or PPC970 with linux on it until i came back
friday or saturday. Anyway i may access my mail until then.

Does this disable_6xx_mmu function do something that we should really
have on PPC970 ? I hadn't get enought time to look at this function and
understand it.

By the way, even if i pretty sure this is not related, my kernel is patched
with one of my patch (i posted it on this mailling list) that add support of U3
agp bridge on G5.

This patch only affect few file and if i remember well, i have tested without
it too with no success.

Files affected by my patch pciids.h, uninorth.c(char/driver/agp), 
uninorth.h(asm-ppc&64). and some change in Kconfig of (char/driver/agp)

One strange things is that no one except me report error on compilation ?
No one use linux with g5, am i alone :) ?

best,
Jerome Glisse